Subject: [Mipshop] PMIPv6 Optimizations (was Re: Proposed new charter)

From: "Junghoon Jee" <[email-masked]>
Date: Wed, 19 Mar 2008 11:47:36 -0400

Hi Vijay,
It would be better to start working on this by first expanding the scope as
the PMIPv6 Optimizations.

There are several issues we need to think about.
1. What optimizations are expecting by this work? The delay or packet loss?
2. Where does that expected :-) problems come from even though the PMIPv6
escapes from the major issues not requiring the NCoA configuration and by
assuming more tight coupling with the Layer 2 connection set-up procedures?
3. What's the roles of MAG and LMA to relieve the problems?
4. What advantages we can expect by reusing the related standardized
messages like HI and HAck?
5. Do we need to work on this considering both single and multi-mode mobile
nodes?

BR,
Junghoon

> So, now we need to discuss whether we should expand the scope for
> the work in MIPSHOP (something like PMIPv6 handover optimizations).
> Or stick to the current narrow scope. I would like to see this
> discussion happen ASAP, since I don't want MIPSHOP re-chartering
> delay too much.
>
> Vijay
>
> Alper Yegin wrote:
> > Hi Hidetoshi,
> >
> > Right, I missed the tunneling aspect in my e-mail. I guess you are
> > implicitly referring to an I-D in your message. I'd appreciate if you
> can
> > send me the pointer.
> >
> > Thanks.
> >
> > Alper
> >
> >> -----Original Message-----
> >> From: Hidetoshi Yokota [mailto:[email-masked]]
> >> Sent: Tuesday, March 18, 2008 3:18 PM
> >> To: Alper Yegin
> >> Cc: 'Vijay Devarapalli'; 'Mipshop'
> >> Subject: Re: [Mipshop] Proposed new charter
> >>
> >> Hi Alper,
> >>
> >> Alper Yegin wrote:
> >>>> 4. Use of FMIPv6 with Proxy Mobile IPv6
> >>>>
> >>>>     Proxy Mobile IPv6 (PMIPv6) is a network-based mobility
> >>>>     management protocol where a node in the access network, called
> >>>>     the Mobile Access Gateway (MAG) handles mobility on behalf of
> >>>>     the mobile node.  It has been proposed to use FMIPv6 to
> >>>>     optimize the handover in terms of reducing the packet loss and
> >>>>     transferring relevant context from the old MAG to the new MAG.
> >>>>     The working group will work on specifying FMIPv6 extensions to
> >>>>     enable fast handovers for PMIPv6.
> >>> I'm guessing that we are not talking about the host using FMIPv6, as
> we
> >> have
> >>> been saying host is neither aware nor capable of L3 mobility
> management.
> >> If
> >>> all we are interested in is "context transfer for PMIPv6", then let's
> >> say
> >>> so. Whether the solution may be simply reusing some parts of FMIPv6
> >> protocol
> >>> is a discussion to have later.
> >> One thing I would like to point out is that when you try to apply the
> >> FMIPv6 concept to PMIPv6, information exchange between ARs (MAGs) is
> >> inevitable since the mobile node is not involved in either its mobility
> >> or fast handover. FMIPv6 supports packet forwarding from the PAR to NAR
> >> and the NAR (New MAG) needs to know beforehand about, for example, the
> >> MN-HoA to distinguish the forwarded packets. Such information needs to
> >> be transferred from the PAR to NAR. The goal is fast handover and the
> >> information exchange between ARs is a means for that and not separable.
> >> Just highlighting the context transfer feature is not our intention and
> >> could be misleading.
> >>
> >> I would appreciate your understanding.
> >>
> >> Regards,
> >> --
> >> Hidetoshi
> >>
> >>> Alper
> >>>
> >>>
> >>> _______________________________________________
> >>> Mipshop mailing list
> >>> [email-masked]
> >>> https://www.ietf.org/mailman/listinfo/mipshop
> >>>
> >>>
> >
>
> _______________________________________________
> Mipshop mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mipshop
>
_______________________________________________
Mipshop mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mipshop